const myCover = function (sequelize, Sequelize) {
    const myCover = sequelize.define('myCover',
        {
            id: {
                primaryKey: true,
                type: Sequelize.UUID,
                defaultValue: Sequelize.UUIDV4
            },
            refunded: { // what's has been refunded (+)
                type: Sequelize.DOUBLE
            },
            refundedBalanceEstimation: {
                type: Sequelize.DOUBLE
            },
            refundLimit: {
                type: Sequelize.DOUBLE
            },
            favorite: {
                type: Sequelize.BOOLEAN,
                defaultValue: false
            },
            refundedQuantity: {
                type: Sequelize.INTEGER
            },
            refundedQuantityEstimation: {
                type: Sequelize.INTEGER
            },
            refundLimitQuantity: {
                type: Sequelize.INTEGER
            }
            //fk_coverListId
            //fk_beneficiaryId
            //fk_myCommonPotId
        });
    return myCover;
};

export default myCover;
